<?php

namespace App\Http\Controllers;

use App\Models\Profile;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class ProfileController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Profile  $profile
     * @return \Illuminate\Http\Response
     */
    public function show(Profile $profile)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Profile  $profile
     * @return \Illuminate\Http\Response
     */
    public function edit(Profile $profile)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Profile  $profile
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $user = User::find($id);
        $profile = Profile::where('user_id', $id)->first();

        $user['name'] = $request->name;
        $user['phone_number'] = $request->phone_number;
        $user['email'] = $request->email;
        $profile['gender'] = $request->gender;
        if ($request->has('birth_date')) {
            $profile['birth_date'] = $request->birth_date;
        }
        if($request->has('time_of_birth')) {
            $profile['time_of_birth'] = $request->time_of_birth;
        }
        if($request->has('password')) {
            $user['password'] = Hash::make($request->password);
        }
        if($request->has('city')) {
            $profile['city'] = $request->city;
        }
        if($request->has('country')) {
            $profile['country'] = $request->country;
        }



        $user->save();
        $profile->save();
        session()->flash('message', 'لقد تم تحديث الملف الشخصي بنجاح');
        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Profile  $profile
     * @return \Illuminate\Http\Response
     */
    public function destroy(Profile $profile)
    {
        //
    }
}
