@extends('frontend.layouts.app')
<style>
    .form-check {
        margin: 0 auto 20px 0!important;
    }
</style>
@section('frontend-content')

    <div class="content-wrapper">
        <div class="page-header">
            <h3 class="page-title"> Profile </h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="#">Sample Pages</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Profile</li>
                </ol>
            </nav>
        </div>
        <div class="row">
            <div class="col-12">

                        <div class="row">

                            <div class="col-lg-4">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="border-bottom text-center pb-4">
                                            <img src="@if($user->avatar == null){{ asset('assets/images/default-avatar.png') }} @else {{ $user->avatar }} @endif" alt="profile" class="img-lg rounded-circle mb-3" />
                                            <p><i class="mdi mdi-phone"></i> {{ $user->phone_number }}</p>
                                            <p><i class="mdi mdi-email"></i> {{ $user->email }}</p>
{{--                                            <div class="d-flex justify-content-between">--}}
{{--                                                <button class="btn btn-gradient-success">Hire Me</button>--}}
{{--                                                <button class="btn btn-gradient-success">Follow</button>--}}
{{--                                            </div>--}}
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="col-lg-8">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="d-flex justify-content-between">
                                            <div>
                                                <h3>{{ $user->name }}</h3>
                                            </div>
                                            <div>
                                                <a href="#" class="btn btn-gradient-dark">
{{--                                                    <i class="mdi mdi-plus"></i>--}}
                                                    الفحص الدقيق للتصميم
                                                </a>
                                                <a href="{{ route('exam.start') }}" class="btn btn-dark" style="background-color: #111111">أختبار هيرمن</a>
                                            </div>
                                        </div>
                                        <div class="mt-4 py-2 border-top border-bottom">
                                            <ul class="nav profile-navbar p-0">
                                                <li class="nav-item">
                                                    <a class="nav-link active" href="#">
                                                        <i class="mdi mdi-account-outline"></i> Personal Information </a>
                                                </li>
                                            </ul>
                                        </div>

                                        <form class="forms-sample my-3" action="{{ route("profile.update", ['id'=> $user->id]) }}" method="POST">
                                            @csrf
                                            <div class="form-group">
                                                <label for="exampleInputName1">Name</label>
                                                <input type="text" name="name" class="form-control" id="exampleInputName1" placeholder="Full Name" value="{{ $user->name }}">
                                            </div>
                                            <div class="form-group">
                                                <label for="Phone">Phone Number</label>
                                                <input type="text" name="phone_number" class="form-control" id="Phone" placeholder="Phone Number" value="{{ $user->phone_number }}">
                                            </div>
                                            <div class="form-group">
                                                <label for="Email">Email address</label>
                                                <input type="email" name="email" class="form-control" id="Email" placeholder="Email" value="{{ $user->email }}">
                                            </div>
                                            <div class="form-group">
                                                <label for="exampleInputPassword4">Password</label>
                                                <input type="password" name="password" class="form-control" id="exampleInputPassword4" placeholder="Password">
                                            </div>
                                            <div class="form-group">
                                                <label for="BirthDate">Date of Birth</label>
                                                <input type="date" name="birth_date" value="{{ $user->profile->birth_date }}" class="form-control" id="BirthDate">
                                            </div>
                                            <div class="form-group">
                                                <label for="BirthTime">Time of Birth</label>
                                                <input type="time" name="time_of_birth" value="{{ $user->profile->time_of_birth }}" class="form-control" id="BirthTime">
                                            </div>
                                            <div class="form-group">
                                                <label for="exampleSelectGender">Gender</label>
                                                <select class="form-control" name="gender" id="exampleSelectGender">
                                                    <option @if($user->profile->gender == 'ذكر') selected @endif value="ذكر">ذكر</option>
                                                    <option @if($user->profile->gender == 'أنثى') selected @endif value="أنثى">أنثى</option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label>Change Avatar</label>
                                                <input type="file" name="img[]" class="file-upload-default">
                                                <div class="input-group col-xs-12">
                                                    <input type="text" class="form-control file-upload-info" disabled placeholder="Upload Image">
                                                    <span class="input-group-append">
                                    <button class="file-upload-browse btn btn-gradient-primary" type="button">Upload</button>
                                  </span>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label for="City">City of Birth</label>
                                                <input type="text" value="{{ $user->profile->city }}" name="city" class="form-control" id="City" placeholder="City of Birth">
                                            </div>
                                            <div class="form-group">
                                                <label for="Country">Country Of Birth</label>
                                                <input type="text" value="{{ $user->profile->country }}" name="country" class="form-control" id="Country" placeholder="Country Of Birth">
                                            </div>

                                            <button type="submit" class="btn btn-gradient-primary me-2">Save</button>

                                        </form>
                                    </div>
                                </div>
                            </div>

                        </div>

            </div>
        </div>
    </div>
    <!-- content-wrapper ends -->
    <!-- partial:partials/_footer.html -->

    <!-- partial -->
@endsection

@push('frontend-script')
    @if(session()->has('message'))
        <script>
            Toastify({
                text: '{{  session()->get('message') }}',
                duration: 3000,
                newWindow: true,
                close: true,
                gravity: "top", // `top` or `bottom`
                position: "left", // `left`, `center` or `right`
                stopOnFocus: true, // Prevents dismissing of toast on hover
                style: {
                    background: "linear-gradient(to right, #00b09b, #96c93d)",
                },
                onClick: function(){} // Callback after click
            }).showToast();
        </script>
    @endif
@endpush
