<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Auth::routes();

Route::get('/dashboard', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::group(['middleware' => 'auth', 'prefix' => 'questions'], function () {
    Route::get('/', [App\Http\Controllers\QuestionController::class, 'index'])->name('questions.index');
    Route::get('/create', [App\Http\Controllers\QuestionController::class, 'create'])->name('question.create');
    Route::post('/create', [App\Http\Controllers\QuestionController::class, 'store'])->name('question.store');
});
Route::group(['middleware' => 'auth', 'prefix' => 'categories'], function () {
    Route::get('/', [App\Http\Controllers\CategoryController::class, 'index'])->name('categories.index');
    Route::get('/create', [App\Http\Controllers\CategoryController::class, 'create'])->name('category.create');
    Route::post('/create', [App\Http\Controllers\CategoryController::class, 'store'])->name('category.store');
});

Route::group(['middleware' => 'auth', 'prefix' => 'profile'], function () {
    Route::post('/profile/update/{id}', [App\Http\Controllers\ProfileController::class, 'update'])->name('profile.update');
});

Route::group(['middleware' => 'auth', 'prefix' => 'exam'], function () {
    Route::get('/exams', [App\Http\Controllers\ExamController::class, 'index'])->name('exam.index');
    Route::get('/start', [App\Http\Controllers\QuizController::class, 'start'])->name('exam.start');
    Route::post('/create', [App\Http\Controllers\QuizController::class, 'new'])->name('exam.new');
    Route::post('/new', [App\Http\Controllers\QuizController::class, 'store'])->name('exam.store');

    Route::get('/details/{id}', [App\Http\Controllers\QuizController::class, 'show'])->name('exam.show');
});
Route::group(['middleware' => 'auth', 'prefix' => 'dashboard'], function () {
    Route::get('/exams', [App\Http\Controllers\ExamController::class, 'dashboard'])->name('dashboard.exams.index');
});
Route::group(['middleware' => 'auth', 'prefix' => 'codes'], function () {
    Route::get('/', [App\Http\Controllers\CodeController::class, 'index'])->name('codes.index');
    Route::get('/generate', [App\Http\Controllers\CodeController::class, 'create'])->name('codes.create');
    Route::post('/generate', [App\Http\Controllers\CodeController::class, 'store'])->name('codes.store');
});
